Functions

# newgrf_sl.h File Reference

Code handling saving and loading of NewGRF mappings. More...

`#include "../newgrf_commons.h"`

Go to the source code of this file.

## Functions
void | Save_NewGRFMapping (const OverrideManagerBase &mapping)
| Save a GRF ID + local id -> OpenTTD's id mapping.
void | Load_NewGRFMapping (OverrideManagerBase &mapping)
| Load a GRF ID + local id -> OpenTTD's id mapping.

## Detailed Description

Code handling saving and loading of NewGRF mappings.

Definition in file newgrf_sl.h.

## Function Documentation

void Load_NewGRFMapping | ( | OverrideManagerBase & | mapping | ) |

Load a GRF ID + local id -> OpenTTD's id mapping.

Parameters:

  | mapping | The mapping to load.

Definition at line 42 of file newgrf_sl.cpp.

References OverrideManagerBase::mapping_ID, OverrideManagerBase::ResetMapping(), SlIterateArray(), and SlObject().

void Save_NewGRFMapping | ( | const OverrideManagerBase & | mapping | ) |

Save a GRF ID + local id -> OpenTTD's id mapping.

Parameters:

  | mapping | The mapping to save.

Definition at line 30 of file newgrf_sl.cpp.

References OverrideManagerBase::mapping_ID, and SlObject().